#!/bin/bash

. ./.jprojects.sh || exit 255

for ENTRY in ${LIST}; do
	cd "${ENTRY}" || exit 255

	if [ "$1" = "c" ]
	then
		echo "$0: Checkout '${ENTRY}' ..."
		git checkout -- .
	fi

	echo "$0: Pulling '${ENTRY}' ..."
	git pull transport master || exit 255
	echo "$0: Rebasing '${ENTRY}' ..."
	git rebase origin/master || exit 255
	cd -
done
